Models
Models are the LLM configurations that power agents. These are managed by Aiqaramba and this endpoint lets you query which models are currently available.
Overview
Models are the LLM configurations that power agents. These are managed by us and are not user-configurable. This endpoint lets you query which models are currently available and which one is the default.
In most cases you should use the default model. It is the one we have tested most extensively and will give you the best results. Specifying a different model is only useful if you have a specific reason to do so.
List available models
Returns the enabled LLM configurations currently available to agents.
Example Request
curl
curl "http://app.aiqaramba.com/api/v1/models" \ -H "Authorization: Bearer $AIQA_API_KEY"
Status Codes
| Code | Description |
|---|---|
200 | Available model configurations. |
401 | Authentication is missing or invalid. |
500 | The server could not complete the request. |
Response Fields (200)
| Field | Type | Description |
|---|---|---|
[].id | string | |
[].provider | string | Values: anthropic, gemini. |
[].name | string | |
[].max_output_tokens | integer | |
[].thinking_budget | integer | |
[].thinking_level | string | |
[].tokens_per_minute | integer | |
[].requests_per_minute | integer | |
[].is_enabled | boolean | |
[].is_default | boolean | |
[].is_fast | boolean | |
[].is_coding | boolean | |
[].is_chat | boolean | |
[].is_auditor | boolean |